/ api / name / gb_declare
GB_DECLARE
Syntax

    #define GB_DECLARE ( name , size ) ...

This macro is the first line of a class declaration.

- name is the name of the class.
- size is the size of an instance. It is usually `sizeof(TYPE)`, where `TYPE` is the structure that defines your object.

The class name must be at least two characters long, and must begin with an uppercase letter.

If the class is virtual, then you must add a point before the first letter.

If the class is not instanciable, or if the class is virtual, you must set size to zero.

### See also

Class Description